
Redmine - Feature #17993

Issues list : css tags to get sort orders

2014-09-29 13:48 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

This will help to personalize issues list with css depending on the sort order.

For example, if issues are sorted primarily by parent_id, we want to emphasis root issues (issues with no idnt-* css class)

The css class could be helpful on the table html tag

We will perhaps provide a patch.

Associated revisions

Revision 13425 - 2014-10-04 11:36 - Jean-Philippe Lang

Adds css classes to get sort order on the issue list (#17993).

History

#1 - 2014-10-04 11:38 - Jean-Philippe Lang

- Category changed from Issues to UI

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.0

- Resolution set to Fixed

Added in r13425. You'll get 2 classes: one for the attribute (eg. sort-by-created-on) and one for the order (sort-asc or sort-desc).

#2 - 2014-10-06 14:05 - Jérôme BATAILLE

It's great that it will be included in the 2.6, that we are looking forward to see in production.

Thanks a lot !
